<div ng-controller="ProductorController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a>Productor</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE PRODUCTORES</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Productor">
                  </div>
                </div>
                <div class="col-md-2">
                  
                </div>
                <div class="col-md-4">
                  <button class="btn btn-success btn-rounded-10 btn-block btn-border" ng-click="clear();openModalSave($event)"  data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar productor</button>
                </div>
                <div class="col-md-12">
                  <hr>
                </div>
              </div>

              <div class="row" ng-if="isLoading">
                <div class="col-md-12">
                  <loading></loading>
                </div>
              </div> 

              <div class="row" ng-if="!isLoading">
                  <div class="col-md-12">
                    <h5 class="text-right"><strong>CANTIDAD : {{productores.length}} PRODUCTORES</strong></h5>
                  </div>
                  <div class="col-md-12" ng-if="productores.length > 0">
                    <small>
                      <div class="table-responsive">
                        <table class="table table-hover table-bordered">
                          <thead>
                            <tr>
                              <th class="text-center">OPCIONES</th>
                              <th class="text-center">ESTADO</th>
                              <th class="text-center">CÓDIGO</th>
                              <th>APELLIDOS Y NOMBRES</th>
                              <th class="text-center">N° PARCELAS</th>
                              <th class="text-center">FECHA INGRESO</th>
                              <th class="text-center">SOCIO</th>
                              <th class="text-center">PARCELA</th>
                              <th class="text-center">TRABAJADOR</th>
                              <th>DIRECCIÓN</th>
                              <th class="text-center">TELÉFONO</th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr dir-paginate="productor in productores |filter: buscar | itemsPerPage: 10" pagination-id="productor.id">
                              <td class="text-center">
                                <div class="input-group-btn">
                                  <button class="btn btn-info btn-border btn-sm btn-radius-left" title="EDITAR PRODUCTOR {{productor.nombre | uppercase}}" data-options="splash-2 splash-ef-14" ng-click="load(productor);openModalSave($event)"><span class="fa fa-edit"></span></button>
                                  <button class="btn btn-danger btn-border btn-sm btn-radius-right" title="ELIMINAR PRODUCTOR {{productor.nombre | uppercase}}" data-options="splash-2 splash-ef-14" ng-click="load(productor);openModalDelete($event)"><span class="fa fa-trash"></span></button>
                                </div>
                              </td>
                              <td>
                                <select style="color: white;background: {{productor.color_condicion}};width:130px;" class="form-control" ng-change="selectEstado(productor, $event)" ng-model="productor.id_condicion" ng-options="condicion.id as condicion.nombre for condicion in condiciones">
                                  <option value="">-- SELECCIONE CONDICIÓN --</option>
                                </select>
                              </td>
                              <td class="text-center">{{productor.codigo_productor}}</td>
                              <td>{{productor.fullname | uppercase}}</td>
                              <td class="text-center">{{productor.cantidad_parcelas}}</td>
                              <td class="text-center">{{productor.fecha_ingreso | date : 'dd-MM-yyyy'}}</td>
                              <td class="text-center">{{(productor.socio==1)?'si':'No' | uppercase}}</td>
                              <td>
                                <a class="btn btn-blue btn-sm btn-border btn-rounded-10" ui-sref="admin.productor.productor_parcela" ng-click="redirectTo(productor)" title="PARCELAS DE PRODUCTOR {{productor.nombre | uppercase}}"><span class="icon-grid"></span> gestión parcelas</a>
                              </td>
                              <td>
                                <a class="btn btn-blue btn-sm btn-border btn-rounded-10" ui-sref="admin.productor.productor_trabajador" ng-click="redirectTo(productor)" title="TRABAJADORES DE PRODUCTOR {{productor.nombre}}"><span class="icon-user-follow"></span> gestión trabajadores</a>
                              </td>
                              <td>{{productor.direccion | uppercase}}</td>
                              <td class="text-center">{{productor.telefono}}</td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </small>
                    <div class="text-center">
                      <dir-pagination-controls pagination-id="productor.id"></dir-pagination-controls>
                    </div>
                  </div>
                  <div class="col-md-12" ng-if="productores.length == 0">
                    <p class="text-center">
                      <i class="icon-info fa-4x"></i>
                      <h5 class="text-center">no hay productores registrados...</h5>
                    </p>
                  </div>
              </div>

            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="productor_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="Productor"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">

        <div class="row">
          <div class="col-md-6">
            <div class="form-group">          
              <label for="dni">DNI<span class="obligatorio">*</span></label>
              <input type="text" class="form-control" name="dni" ng-model="obj.dni" placeholder="DNI" required> 
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="socio">Socio<span class="obligatorio">*</span></label>
              <select class="form-control" ng-model="obj.socio" ng-options="soes.id as soes.nombre for soes in sociosEstado">
                <option value="">-- SELECCIONE ITEM --</option>
              </select> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="nombre">Nombres<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="nombre" ng-model="obj.nombre" placeholder="Nombres" required> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label for="apellido_paterno">Apellido Paterno<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="apellido_paterno" ng-model="obj.apellido_paterno" placeholder="Apellido Paterno" required> 
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="apellido_materno">Apellido Materno<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="apellido_materno" ng-model="obj.apellido_materno" placeholder="Apellido Materno" required>  
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="direccion">Dirección</label>
              <input type="text" class="form-control uppercase" name="direccion" ng-model="obj.direccion" placeholder="Dirección" required> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label for="codigo_productor">Código Productor</label>
              <input type="text" class="form-control uppercase" name="codigo_productor" ng-model="obj.codigo_productor" placeholder="Código Productor" required> 
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="fecha_ingreso_t">Fecha Ingreso<span class="obligatorio">*</span></label>
              <input type="date" class="form-control" name="fecha_ingreso_t" ng-model="obj.fecha_ingreso_t" placeholder="Fecha Ingreso" required>  
            </div>
          </div>
        </div>

        <!-- <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label for="telefono">Teléfono</label>
              <input type="text" class="form-control" name="telefono" ng-model="obj.telefono" placeholder="999-999-999"> 
            </div>
          </div>
        </div> -->

        <div class="form-group">
          <span class="obligatorio">*</span> Campos Obligatorios
        </div>
        
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>
    </div>
  </script>
  <script  type="text/ng-template" id="parcela_modal.html">
    <ng-include src="templateUrl"></ng-include>
  </script>
  <script  type="text/ng-template" id="productor_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>